Subject: bug#5475: Archives with filenames with square brackets

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Jan 2010 19:35:17 +0200

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 27 Jan 2010 11:57:46 -0500
> 
> > But most importantly, this patch is not clean, IMO: it hardcodes into
> > archive-zip-extract (the function) some knowledge of what can be the
> > possible values of archive-zip-extract the defcustom.  What if
> > tomorrow there will be a 3rd possibility, in addition to pkzip and
> > unzip?
> >
> > That is why I thought about some less trivial patch: add to the data
> > structures that are values of these defcustom's a flag to indicate
> > whether the file name needs to be quoted or not.
> 
> Well, archive-zip-extract already branches for pkzip/unzip

Yes, but it does that by a user option, not by some hidden knowledge.
I won't mind introducing a similar option that would tell arc-mode to
quote the file arguments.